ChangeSet 1.985.10.7, 2003/03/25 11:54:15-08:00, david-b@pacbell.net

[PATCH] USB: usb-skeleton, usbtest use "real" device ids

I'll be switching "gadget zero" to use real product IDs
(donated by NetChip), and these are the two drivers that
will need to recognize them.


 drivers/usb/misc/usbtest.c |    5 +++++
 drivers/usb/usb-skeleton.c |    4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/misc/usbtest.c b/drivers/usb/misc/usbtest.c
--- a/drivers/usb/misc/usbtest.c	Tue Mar 25 16:46:21 2003
+++ b/drivers/usb/misc/usbtest.c	Tue Mar 25 16:46:21 2003
@@ -1409,6 +1409,11 @@
 		.driver_info = (unsigned long) &fw_info,
 		},
 
+	/* "Gadget Zero" firmware runs under Linux */
+	{ USB_DEVICE (0x0525, 0xa4a0),
+		.driver_info = (unsigned long) &fw_info,
+		},
+
 #ifdef KEYSPAN_19Qi
 	/* Keyspan 19qi uses an21xx (original EZ-USB) */
 	// this does not coexist with the real Keyspan 19qi driver!
diff -Nru a/drivers/usb/usb-skeleton.c b/drivers/usb/usb-skeleton.c
--- a/drivers/usb/usb-skeleton.c	Tue Mar 25 16:46:21 2003
+++ b/drivers/usb/usb-skeleton.c	Tue Mar 25 16:46:21 2003
@@ -72,13 +72,15 @@
 MODULE_PARM_DESC(debug, "Debug enabled or not");
 
 
-/* Define these values to match your device */
+/* Define these values to match your devices */
 #define USB_SKEL_VENDOR_ID	0xfff0
 #define USB_SKEL_PRODUCT_ID	0xfff0
 
 /* table of devices that work with this driver */
 static struct usb_device_id skel_table [] = {
 	{ USB_DEVICE(USB_SKEL_VENDOR_ID, USB_SKEL_PRODUCT_ID) },
+	/* "Gadget Zero" firmware runs under Linux */
+	{ USB_DEVICE(0x0525, 0xa4a0) },
 	{ }					/* Terminating entry */
 };
 
